JUCE: CachedComponentImage Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CachedComponentImage Class Referenceabstract
juce_gui_basics » components

Base class used internally for structures that can store cached images of component state. More...

`#include <juce_CachedComponentImage.h>`

## Public Member Functions
| CachedComponentImage ()=default
virtual | ~CachedComponentImage ()=default
virtual void | paint (Graphics &)=0
| Called as part of the parent component's paint method, this must draw the given component into the target graphics context, using the cached version where possible.
virtual bool | invalidateAll ()=0
| Invalidates all cached image data.
virtual bool | invalidate (const Rectangle< int > &area)=0
| Invalidates a section of the cached image data.
virtual void | releaseResources ()=0
| Called to indicate that the component is no longer active, so any cached data should be released if possible.

## Detailed Description

Base class used internally for structures that can store cached images of component state.

Most people are unlikely to ever need to know about this class - it's really only for power-users!

See also
  Component::setCachedComponentImage

## Constructor & Destructor Documentation

## ◆ CachedComponentImage()

CachedComponentImage::CachedComponentImage | ( |  | ) |
| default

## ◆ ~CachedComponentImage()

virtual CachedComponentImage::~CachedComponentImage | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ paint()

virtual void CachedComponentImage::paint | ( | Graphics & |  | ) |
| pure virtual

Called as part of the parent component's paint method, this must draw the given component into the target graphics context, using the cached version where possible.

## ◆ invalidateAll()

virtual bool CachedComponentImage::invalidateAll | ( |  | ) |
| pure virtual

Invalidates all cached image data.

Returns
  true if the peer should also be repainted, or false if this object handles all repaint work internally.

## ◆ invalidate()

virtual bool CachedComponentImage::invalidate | ( | const Rectangle< int > & | area | ) |
| pure virtual

Invalidates a section of the cached image data.

Returns
  true if the peer should also be repainted, or false if this object handles all repaint work internally.

## ◆ releaseResources()

virtual void CachedComponentImage::releaseResources | ( |  | ) |
| pure virtual

Called to indicate that the component is no longer active, so any cached data should be released if possible.

The documentation for this class was generated from the following file:

- juce_CachedComponentImage.h